Description

foreman-installer sets "ddns-update-style none;", while the manual (

http://www.theforeman.org/manuals/1.5/index.html#4.3.3ISCDHCP) states "ddns-update-style interim;"

Even when already configured it gets overwritten

[ WARN 2014-08-04 12:48:27 main]  /Stage[main]/Dhcp/File[/etc/dhcp]/mode: mode changed '0750' to '0755'

[ INFO 2014-08-04 12:48:27 main]  RESOURCE File[/etc/dhcp]

[DEBUG 2014-08-04 12:48:27 main]  /Stage[main]/Dhcp/File[/etc/dhcp]: The container Class[Dhcp] will propagate my refresh event

[DEBUG 2014-08-04 12:48:27 main]  Executing 'diff -u /etc/dhcp/dhcpd.conf /tmp/puppet-file20140804-3766-91otdm-0'

[ WARN 2014-08-04 12:48:27 main]  /Stage[main]/Dhcp/File[/etc/dhcp/dhcpd.conf]/content:

[ INFO 2014-08-04 12:48:27 main] --- /etc/dhcp/dhcpd.conf       2013-11-22 15:30:00.000000000 +0100

[ INFO 2014-08-04 12:48:27 main] +++ /tmp/puppet-file20140804-3766-91otdm-0     2014-08-04 12:48:27.236000034 +0200

[ INFO 2014-08-04 12:48:27 main] @ -1,5 +1,39 @

[ INFO 2014-08-04 12:48:27 main] -#

[ INFO 2014-08-04 12:48:27 main] -# DHCP Server Configuration file.

[ INFO 2014-08-04 12:48:27 main] -#   see /usr/share/doc/dhcp*/dhcpd.conf.sample

[ INFO 2014-08-04 12:48:27 main] -#   see 'man 5 dhcpd.conf'

[ INFO 2014-08-04 12:48:27 main] -#

[ INFO 2014-08-04 12:48:27 main] +# dhcpd.conf

[ INFO 2014-08-04 12:48:27 main] +omapi-port 7911;

[ INFO 2014-08-04 12:48:27 main] +

[ INFO 2014-08-04 12:48:27 main] +default-lease-time 600;

[ INFO 2014-08-04 12:48:27 main] +max-lease-time 7200;

[ INFO 2014-08-04 12:48:27 main] +

[ INFO 2014-08-04 12:48:27 main] +

[ INFO 2014-08-04 12:48:27 main] +ddns-update-style none;*

[ INFO 2014-08-04 12:48:27 main] +

[ INFO 2014-08-04 12:48:27 main] +option domain-name "test.nu";

[ INFO 2014-08-04 12:48:27 main] +option domain-name-servers **.***.***.**;

[ INFO 2014-08-04 12:48:27 main] +

[ INFO 2014-08-04 12:48:27 main] +allow booting;

[ INFO 2014-08-04 12:48:27 main] +allow bootp;

History

#1 - 08/04/2014 07:52 AM - Dominic Cleal

- Project changed from Packaging to Installer

- Category set to Foreman modules

It's not really relevant for Foreman, but sure, we could have it parameterised.

#2 - 08/04/2014 09:40 AM - Jorick Astrego

If it's not relevant for foreman why does the installer overwrite this parameter in the dhcpd.conf or why put it in the manual differently.

I know it says example but it's hard enough to set everything correct on the parameters that are relevant ;-)
http://www.theforeman.org/manuals/1.5/index.html#4.3.3ISCDHCP


#3 - 08/04/2014 09:44 AM - Dominic Cleal

The installer is Puppet based and simply templates the whole file.

https://github.com/theforeman/puppet-dhcp/blob/master/templates/dhcpd.conf.erb#L7 seems it already is parameterised in that module, but 

https://github.com/theforeman/puppet-foreman_proxy/blob/master/manifests/proxydhcp.pp#L20 doesn't use it or the

$foreman_proxy::dhcp_key_name parameter.

#4 - 12/02/2020 05:34 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Resolved

It is possible to set dhcp::dnsupdatekey via custom-hiera.yaml. Given its age I'm going to close this.
